Subject: [Mentoring-coordinators] Assigning Stephen another mentee

From: Wes Hardaker <[email-masked]>
Date: Fri, 2 Nov 2018 08:11:56 -0700

Hi Stephen,

You've certainly been through the tumble this time.  Sorry about that.
Since your last person said they weren't coming, I'm assigning you yet a
third in a minute.  Thanks for putting up with the holes in the process!

-- 
Wes Hardaker
USC/ISI